# GHUnit

GHUnit is a test framework for Objective-C, Mac OS X 10.5 and above and iPhone 3.x and above.
It can be used standalone or with other testing frameworks like SenTestingKit or GTM.

## Features

- Run tests, breakpoint and interact directly with the XCode Debugger.
- Run from the command line or via a Makefile.
- Run tests in parallel.
- Allow testing of UI components.
- Capture and display test metrics.
- Search and filter tests by keywords. 
- View logging by test case.
- Show stack traces and useful debugging information.
- Include as a framework in your projects
- Determine whether views have changed (UI verification)
- Quickly approve and record view changes
- View image diff to see where views have chaned

## Install (Docset)

- Open Xcode, Preferences and select the Documentation tab.
- Select the plus icon (bottom left) and specify: `http://gabriel.github.com/gh-unit/publish/me.rel.GHUnit.atom`

## Links

- [Online documentation](http://gabriel.github.com/gh-unit/)
- [How to install, create and run tests](http://gabriel.github.com/gh-unit/docs/index.html)
- [Google Group](http://groups.google.com/group/ghunit)

## Mac OS X

![GHUnit-0.4.18](http://rel.me.s3.amazonaws.com/gh-unit/images/GHUnit-0.4.18.png)

## iOS

![GHUnit-IPhone-0.4.18](http://rel.me.s3.amazonaws.com/gh-unit/images/GHUnit-IPhone-0.4.18.png)

![GHUnit-IPhone-0.4.34](https://johnboiles.s3.amazonaws.com/ghunittestview.png)

![GHUnit-IPhone-0.4.34](https://johnboiles.s3.amazonaws.com/ghunitnewimage.png)

![GHUnit-IPhone-0.4.34](https://johnboiles.s3.amazonaws.com/ghunitdiff.png)
